#!/bin/bash

INSTALL=~/install/postgres
PGDATA=~/junk/pgdata

rm -fr $PGDATA
$INSTALL/bin/initdb -D $PGDATA

$INSTALL/bin/pg_ctl -D $PGDATA -w start
start_xid=` $INSTALL/bin/psql postgres --tuples -c "SELECT txid_current()" `
( for ((i = start_xid; i < 2 ** 16 - 1; i++)) ; do echo "SELECT txid_current();"; done ) | $INSTALL/bin/psql postgres > /dev/null
$INSTALL/bin/psql postgres -c "CHECKPOINT"
$INSTALL/bin/pg_ctl -D $PGDATA -w stop
